INTERFACE
SUBROUTINE APLPARS ( KIDIA , KFDIA , KLON , KTDIA , KLEV ,&
 & KSGST , KSTEP ,&
 & PAPHI , PAPRS , PAPHIF , PAPRSF , PDELP , PRDELP ,&
 & PU , PV , PT , PQ , PCP , PCVGQ ,&
 & PSNS , PTS , PQS ,&
 & PTS1 , PQS1 ,&
 & PGETRL , PLSM , PVEG , PGZ0F , PVRLAN , PVRLDI ,&
 & PALBF , PEMISF , PMU0 , PGM ,&
 & PAC , PCOR ,&
 & PRAB3C , PRAB3N , PRAB4C , PRAB4N , PRAB6C , PRAB6N ,&
 & PRAT1C , PRAT1N , PRAT2C , PRAT2N , PRAT3C , PRAT3N ,&
 & PRAT4C , PRAT4N , PRAT5C , PRAT5N,&
 & PDIFCQ , PDIFCS , PDIFTQ , PDIFTS ,&
 & PFCCQL , PFCCQN , PFCSQL , PFCSQN ,&
 & PFPLCL , PFPLCN , PFPLSL , PFPLSN , PFRSO , PFRTH ,&
 & PSTRCU , PSTRCV , PSTRDU , PSTRDV , PSTRTU , PSTRTV ,&
 & PSTRMU , PSTRMV , PFRMH ,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSGST
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVGQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGETRL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) :: PVEG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLAN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLDI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMISF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAC(KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB3C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB3N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB4C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB4N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB6C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAB6N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT1C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT1N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT2C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT2N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT3C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT3N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT4C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT4N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT5C(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRAT5N(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCCQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSO(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTH(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMH(KLON,0:KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE APLPARS
END INTERFACE
